Subject: rxvt, stty and login
From: <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 13 Nov 2002 17:35:51 -0000

I am really sorry to drone on about this, but I've tried to reduce the
problem to its basics. I feel more or less certain there's something a bit
glitchy with recent versions of login and how it interacts with rxvt.

(BTW, I have not yet updated to login-1.6-1 as recently announced.)

Start Cygwin with the sparse switchless command

c:\Cygwin\bin\rxvt.exe

Then just do this:

$ stty -a

speed 38400 baud; rows 25; columns 80; line = 0;
< .. and lots of other stuff .. >

$ login
login: <yourusername>
fergus @ LEPER ~
$ stty -a

speed 38400 baud; rows 0; columns 0; line = 0;
< .. and lots of other stuff .. >

In this second case of stty -a, rows and columns have altered from 25 and 80
to 0 and 0. Is this not the root of the problem earlier described under
"pico and nano: number of lines displayed"?

To do this test I deleted .bash_profile, .bashrc and .inputrc. It seems to
me that this is as sparse an example as I could have provided of this
strange behaviour, and would like to know whether others can duplicate it?

I am using Windows 98 S/E.

Thank you.

Fergus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/